## com.baidubce.services.moladb.model
Class AttributeDefinition

    java.lang.Object
      com.baidubce.services.moladb.model.AttributeDefinition

    public class AttributeDefinition

extends Object

Represents an attribute with name and value type for a table.

Constructor Summary
`AttributeDefinition()` Constructs a new AttributeDefinition object.

Method Summary
`String` `getAttributeName()` The method get the attribute name of a new attribute.
`String` `getAttributeType()` The method get the attribute value type of a new attribute.
`void` `setAttributeName(String name)` The method set the attribute name for a new attribute.
`void` `setAttributeType(String type)` The method set the attribute value type for a new attribute.
`protected Object` `toJsonObj()`
`AttributeDefinition` `withAttributeName(String name)` The method set the attribute name for a new attribute.
`AttributeDefinition` `withAttributeType(String type)` The method set the attribute value type for a new attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDefinition

    public AttributeDefinition()

  Constructs a new AttributeDefinition object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### setAttributeName

    public void setAttributeName(String name)

  The method set the attribute name for a new attribute.

  Parameters:
    `name` - The name of the attribute.

### withAttributeName

    public AttributeDefinition withAttributeName(String name)

  The method set the attribute name for a new attribute.

  Parameters:
    `name` - The name of the attribute.

### getAttributeName

    public String getAttributeName()

  The method get the attribute name of a new attribute.

  Returns:
    The name of the attribute.

### setAttributeType

    public void setAttributeType(String type)

  The method set the attribute value type for a new attribute.

  Parameters:
    `type` - The value type of the attribute, the value is "N","S", or "B".

### withAttributeType

    public AttributeDefinition withAttributeType(String type)

  The method set the attribute value type for a new attribute.

  Parameters:
    `type` - The value type of the attribute, the value is "N","S", or "B".

### getAttributeType

    public String getAttributeType()

  The method get the attribute value type of a new attribute.

  Returns:
    The value type of the attribute, the value is "N","S", or "B".

### toJsonObj

    protected Object toJsonObj()

Copyright © 2016. All rights reserved.